function love.load()
	constantVel = 480
	
	world = love.physics.newWorld(0, 5000, false)
	
	--Create Cube fixture
	cubeFixture = love.physics.newFixture(
		love.physics.newBody(world, 0, 500, "dynamic"),
		love.physics.newRectangleShape(32,32)
	)	
	--Create ground1 fixture
	ground1Fixture = love.physics.newFixture(
		love.physics.newBody(world, 400, 500),
		love.physics.newRectangleShape(0,0,2000,10,-.1)
	)
	--Create1 ground2 fixture
	ground2Fixture = love.physics.newFixture(
		love.physics.newBody(world, 400, 500),
		love.physics.newRectangleShape(0,0,2000,10,-1)
	)
end

function love.update(dt)
	if cubeFixture:getBody():getX() < 800 then
		local cubeX, cubeY = cubeFixture:getBody():getLinearVelocity()

		cubeFixture:getBody():setLinearVelocity(constantVel, cubeY)
	else
		--reset position, cube out of screen
		cubeFixture:getBody():setX(0)
		cubeFixture:getBody():setY(500)
		cubeFixture:getBody():setAngle(0)
	end

	world:update(dt)
end

function love.draw()
	--Draw Grounds
	love.graphics.polygon("fill", ground1Fixture:getBody():getWorldPoints(ground1Fixture:getShape():getPoints()))
	love.graphics.polygon("fill", ground2Fixture:getBody():getWorldPoints(ground2Fixture:getShape():getPoints()))
	
	--Draw Cube
	love.graphics.setColor(128,128,128)
	love.graphics.polygon("fill", cubeFixture:getBody():getWorldPoints(cubeFixture:getShape():getPoints()))
	
	--Draw Velocity
	love.graphics.print(math.floor(cubeFixture:getBody():getLinearVelocity()).." / "..constantVel,10,10)

	love.graphics.reset()
end